Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Functions | Variables
std::tr1 Namespace Reference

## Namespaces
| gtest_internal

## Classes
class | tuple
class | tuple<>
struct | tuple_element
struct | tuple_size
struct | tuple_size< GTEST_0_TUPLE_(T)>
struct | tuple_size< GTEST_10_TUPLE_(T)>
struct | tuple_size< GTEST_1_TUPLE_(T)>
struct | tuple_size< GTEST_2_TUPLE_(T)>
struct | tuple_size< GTEST_3_TUPLE_(T)>
struct | tuple_size< GTEST_4_TUPLE_(T)>
struct | tuple_size< GTEST_5_TUPLE_(T)>
struct | tuple_size< GTEST_6_TUPLE_(T)>
struct | tuple_size< GTEST_7_TUPLE_(T)>
struct | tuple_size< GTEST_8_TUPLE_(T)>
struct | tuple_size< GTEST_9_TUPLE_(T)>

## Functions
template<GTEST_1_TYPENAMES_(T) >
class | GTEST_1_TUPLE_ (T)
template<GTEST_2_TYPENAMES_(T) >
class | GTEST_2_TUPLE_ (T)
template<GTEST_3_TYPENAMES_(T) >
class | GTEST_3_TUPLE_ (T)
template<GTEST_4_TYPENAMES_(T) >
class | GTEST_4_TUPLE_ (T)
template<GTEST_5_TYPENAMES_(T) >
class | GTEST_5_TUPLE_ (T)
template<GTEST_6_TYPENAMES_(T) >
class | GTEST_6_TUPLE_ (T)
template<GTEST_7_TYPENAMES_(T) >
class | GTEST_7_TUPLE_ (T)
template<GTEST_8_TYPENAMES_(T) >
class | GTEST_8_TUPLE_ (T)
template<GTEST_9_TYPENAMES_(T) >
class | GTEST_9_TUPLE_ (T)
tuple | make_tuple ()
template<GTEST_1_TYPENAMES_(T) >
| GTEST_1_TUPLE_ (T) make_tuple(const T0 &f0)
template<GTEST_2_TYPENAMES_(T) >
| GTEST_2_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_3_TYPENAMES_(T) >
| GTEST_3_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_4_TYPENAMES_(T) >
| GTEST_4_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_5_TYPENAMES_(T) >
| GTEST_5_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_6_TYPENAMES_(T) >
| GTEST_6_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_7_TYPENAMES_(T) >
| GTEST_7_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_8_TYPENAMES_(T) >
| GTEST_8_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_9_TYPENAMES_(T) >
| GTEST_9_TUPLE_ (T) make_tuple(const T0 &f0
template<GTEST_10_TYPENAMES_(T) >
| GTEST_10_TUPLE_ (T) make_tuple(const T0 &f0
template<int k, GTEST_10_TYPENAMES_(T) >
| GTEST_ADD_REF_ (GTEST_TUPLE_ELEMENT_(k, GTEST_10_TUPLE_(T))) get(GTEST_10_TUPLE_(T)&t)
template<int k, GTEST_10_TYPENAMES_(T) >
| GTEST_BY_REF_ (GTEST_TUPLE_ELEMENT_(k, GTEST_10_TUPLE_(T))) get(const GTEST_10_TUPLE_(T)&t)
template<GTEST_10_TYPENAMES_(T) , GTEST_10_TYPENAMES_(U) >
bool | operator== (const GTEST_10_TUPLE_(T)&t, const GTEST_10_TUPLE_(U)&u)
template<GTEST_10_TYPENAMES_(T) , GTEST_10_TYPENAMES_(U) >
bool | operator!= (const GTEST_10_TUPLE_(T)&t, const GTEST_10_TUPLE_(U)&u)

## Variables
const T1 & | f1
const T1 const T2 & | f2
const T1 const T2 const T3 & | f3
const T1 const T2 const T3 const T4 & | f4
const T1 const T2 const T3 const T4 const T5 & | f5
const T1 const T2 const T3 const T4 const T5 const T6 & | f6
const T1 const T2 const T3 const T4 const T5 const T6 const T7 & | f7
const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 & | f8
const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 const T9 & | f9

## Function Documentation

GTEST_10_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_1_TUPLE_ | ( | T |  | ) |

GTEST_1_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_2_TUPLE_ | ( | T |  | ) |

GTEST_2_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_3_TUPLE_ | ( | T |  | ) |

GTEST_3_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_4_TUPLE_ | ( | T |  | ) |

GTEST_4_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_5_TUPLE_ | ( | T |  | ) |

GTEST_5_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_6_TUPLE_ | ( | T |  | ) |

GTEST_6_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_7_TUPLE_ | ( | T |  | ) |

GTEST_7_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_8_TUPLE_ | ( | T |  | ) |

GTEST_8_TUPLE_ | ( | T |  | ) | const
| inline

class GTEST_9_TUPLE_ | ( | T |  | ) |

GTEST_9_TUPLE_ | ( | T |  | ) | const
| inline

GTEST_ADD_REF_ | ( | GTEST_TUPLE_ELEMENT_(k, GTEST_10_TUPLE_(T)) |  | ) |

GTEST_BY_REF_ | ( | GTEST_TUPLE_ELEMENT_(k, GTEST_10_TUPLE_(T)) |  | ) | const

tuple make_tuple | ( |  | ) |
| inline

bool operator!= | ( | const GTEST_10_TUPLE_(T)& | t,
|  | const GTEST_10_TUPLE_(U)& | u
| ) |  |
| inline

bool operator== | ( | const GTEST_10_TUPLE_(T)& | t,
|  | const GTEST_10_TUPLE_(U)& | u
| ) |  |
| inline

## Variable Documentation

const T1 & f1

Initial value:
{
return GTEST_2_TUPLE_(T)(f0, f1)
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653

const T1 const T2 & f2

Initial value:
{
return GTEST_3_TUPLE_(T)(f0, f1, f2)
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653

const T1 const T2 const T3 & f3

Initial value:
{
return GTEST_4_TUPLE_(T)(f0, f1, f2, f3)
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653

const T1 const T2 const T3 const T4 & f4

Initial value:
{
return GTEST_5_TUPLE_(T)(f0, f1, f2, f3, f4)
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670

const T1 const T2 const T3 const T4 const T5 & f5

Initial value:
{
return GTEST_6_TUPLE_(T)(f0, f1, f2, f3, f4, f5)
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f5
const T1 const T2 const T3 const T4 const T5 & f5
Definition: gtest-tuple.h:676
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670

const T1 const T2 const T3 const T4 const T5 const T6 & f6

Initial value:
{
return GTEST_7_TUPLE_(T)(f0, f1, f2, f3, f4, f5, f6)
std::tr1::f6
const T1 const T2 const T3 const T4 const T5 const T6 & f6
Definition: gtest-tuple.h:682
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f5
const T1 const T2 const T3 const T4 const T5 & f5
Definition: gtest-tuple.h:676
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670

const T1 const T2 const T3 const T4 const T5 const T6 const T7 & f7

Initial value:
{
return GTEST_8_TUPLE_(T)(f0, f1, f2, f3, f4, f5, f6, f7)
std::tr1::f7
const T1 const T2 const T3 const T4 const T5 const T6 const T7 & f7
Definition: gtest-tuple.h:688
std::tr1::f6
const T1 const T2 const T3 const T4 const T5 const T6 & f6
Definition: gtest-tuple.h:682
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f5
const T1 const T2 const T3 const T4 const T5 & f5
Definition: gtest-tuple.h:676
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670

const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 & f8

Initial value:
{
return GTEST_9_TUPLE_(T)(f0, f1, f2, f3, f4, f5, f6, f7, f8)
std::tr1::f7
const T1 const T2 const T3 const T4 const T5 const T6 const T7 & f7
Definition: gtest-tuple.h:688
std::tr1::f8
const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 & f8
Definition: gtest-tuple.h:695
std::tr1::f6
const T1 const T2 const T3 const T4 const T5 const T6 & f6
Definition: gtest-tuple.h:682
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f5
const T1 const T2 const T3 const T4 const T5 & f5
Definition: gtest-tuple.h:676
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670

const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 const T9 & f9

Initial value:
{
return GTEST_10_TUPLE_(T)(f0, f1, f2, f3, f4, f5, f6, f7, f8, f9)
std::tr1::f7
const T1 const T2 const T3 const T4 const T5 const T6 const T7 & f7
Definition: gtest-tuple.h:688
std::tr1::f8
const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 & f8
Definition: gtest-tuple.h:695
std::tr1::f6
const T1 const T2 const T3 const T4 const T5 const T6 & f6
Definition: gtest-tuple.h:682
std::tr1::f9
const T1 const T2 const T3 const T4 const T5 const T6 const T7 const T8 const T9 & f9
Definition: gtest-tuple.h:702
std::tr1::f2
const T1 const T2 & f2
Definition: gtest-tuple.h:658
std::tr1::f5
const T1 const T2 const T3 const T4 const T5 & f5
Definition: gtest-tuple.h:676
std::tr1::f3
const T1 const T2 const T3 & f3
Definition: gtest-tuple.h:664
std::tr1::f1
const T1 & f1
Definition: gtest-tuple.h:653
std::tr1::f4
const T1 const T2 const T3 const T4 & f4
Definition: gtest-tuple.h:670